<?php
/**
 * Template part for displaying default header layout
 */
$custom_header = unfinityplus_get_page_opt( 'custom_header', false );
$header_transparent = unfinityplus_get_page_opt( 'header_transparent', false );
$search_on = unfinityplus_get_opt( 'search_on', false );
$social_on = unfinityplus_get_opt( 'social_on', false );
$sticky_on = unfinityplus_get_opt( 'sticky_on', false );
$topbar_phone = unfinityplus_get_opt( 'topbar_phone' );
$topbar_address = unfinityplus_get_opt( 'topbar_address' );
$topbar_email = unfinityplus_get_opt( 'topbar_email' );
$topbar_short = unfinityplus_get_opt( 'topbar_short' );

$h_btn_on = unfinityplus_get_opt( 'h_btn_on', 'show' );
$h_btn_link_type = unfinityplus_get_opt( 'h_btn_link_type', 'page' );
$h_btn_text = unfinityplus_get_opt( 'h_btn_text' );
$h_btn_link = unfinityplus_get_opt( 'h_btn_link' );
$h_btn_link_custom = unfinityplus_get_opt( 'h_btn_link_custom' );
$h_btn_target = unfinityplus_get_opt( 'h_btn_target', '_self' );
if($h_btn_link_type == 'page') {
    $h_btn_url = get_permalink($h_btn_link);
} else {
    $h_btn_url = $h_btn_link_custom;
}

$search_mobile = unfinityplus_get_opt( 'search_mobile', true );
$social_mobile = unfinityplus_get_opt( 'social_mobile', true );
$button_mobile = unfinityplus_get_opt( 'button_mobile', true );
?>
<header id="masthead" class="site-header">
    <div id="site-header-wrap" class="header-layout5 <?php if($custom_header && $header_transparent) { echo 'header-transparent'; } ?>  <?php if($sticky_on == 1) { echo 'is-sticky'; } else { echo 'no-sticky'; } ?>">
        <div id="site-topbar">
            <div class="container">
                <div class="row">
                    <ul class="site-topbar-contact">
                        <?php if(!empty($topbar_short)) : ?>
                            <li class="topbar-short"></i><?php echo wp_kses_post( $topbar_short ); ?></li>
                        <?php endif; ?>
                        <?php if(!empty($topbar_email)) : ?>
                            <li><a href="mailto:<?php echo esc_attr( $topbar_email ); ?>"><i class="fa fa fa-envelope"></i><?php echo wp_kses_post( $topbar_email ); ?></a></li>
                        <?php endif; ?>
                        <?php if(!empty($topbar_address)) : ?>
                            <li><i class="fa fa-location-arrow"></i><?php echo wp_kses_post( $topbar_address ); ?></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
        <div class="h-gap"></div>
        <div id="site-header" class="site-header-main">
            <div class="container">
                <div class="row">
                    <div class="site-branding">
                        <?php get_template_part( 'template-parts/header-branding' ); ?>
                    </div>
                    <div class="site-navigation">
                        <nav class="main-navigation">
                            <div class="main-navigation-inner">
                                <div class="menu-mobile-close"><i class="zmdi zmdi-close"></i></div>
                                <?php if($search_mobile) { unfinityplus_header_mobile_search(); } ?>
                                <?php if($button_mobile) : ?>
                                    <?php if($h_btn_on == 'show' && !empty($h_btn_text)) { ?>
                                        <div class="menu-mobile-button">
                                            <a href="<?php echo esc_url( $h_btn_url ); ?>" target="<?php echo esc_attr($h_btn_target); ?>" class="h-btn"><?php echo esc_attr( $h_btn_text ); ?></a>
                                        </div>
                                    <?php } elseif(!empty($topbar_phone)) { ?>
                                        <div class="menu-mobile-button">
                                            <a href="tel:<?php echo esc_attr( $topbar_phone ); ?>" class="h-btn h-btn-call"><?php echo esc_attr( $topbar_phone ); ?></a>
                                        </div>
                                    <?php } ?>
                                <?php endif;?>
                                <?php get_template_part( 'template-parts/header-menu' ); ?>
                                <?php if($social_mobile) { ?><div class="social-mobile"><?php unfinityplus_header_social_icon(); ?></div><?php } ?>
                            </div>
                        </nav>
                        <div class="site-menu-right d-none d-lg-block">
                            <?php if($search_on) : ?>
                                <span class="menu-right-item h-btn-search"><i class="fa fa-search"></i></span>
                            <?php endif; ?>
                            <?php if($h_btn_on == 'show' && !empty($h_btn_text)) { ?>
                                <a href="<?php echo esc_url( $h_btn_url ); ?>" target="<?php echo esc_attr($h_btn_target); ?>" class="menu-right-item h-btn"><?php echo esc_attr( $h_btn_text ); ?></a>
                            <?php } elseif(!empty($topbar_phone)) { ?>
                                <a href="tel:<?php echo esc_attr( $topbar_phone ); ?>" class="menu-right-item h-btn h-btn-call"><?php echo esc_attr( $topbar_phone ); ?></a>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="menu-mobile-overlay"></div>
                </div>
            </div>
            <div id="main-menu-mobile">
                <span class="btn-nav-mobile open-menu">
                    <span></span>
                </span>
            </div>
        </div>
    </div>
</header>