<?php
vc_map(
    array(
        'name'     => esc_html__('Schedule', 'unfinityplus'),
        'base'     => 'cms_schedule',
        'class'    => 'ct-icon-element',
        'description' => esc_html__( 'Schedule Displayed', 'unfinityplus' ),
        'category' => esc_html__('CaseThemes Shortcodes', 'unfinityplus'),
        'params'   => array(
            array(
                'type' => 'cms_template_img',
                'param_name' => 'cms_template',
                'shortcode' => 'cms_schedule',
                'heading' => esc_html__('Shortcode Template', 'unfinityplus'),
                'admin_label' => true,
                'std' => 'cms_schedule.php',
                'group' => esc_html__('Template', 'unfinityplus'),
            ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__( 'Content', 'unfinityplus' ),
                'param_name' => 'content_list',
                'value' => '',
                'group' => esc_html__('Source Settings', 'unfinityplus'),
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule.php',
                    )
                ),
                'params' => array(
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__( 'Featured Image', 'unfinityplus' ),
                        'param_name' => 'ct_image',
                        'value' => '',
                        'description' => esc_html__( 'Select image from media library.', 'unfinityplus' ),
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Title', 'unfinityplus'),
                        'param_name' => 'ct_title',
                        'admin_label' => true,
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textarea',
                        'heading' =>esc_html__('Content', 'unfinityplus'),
                        'param_name' => 'ct_content',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Time Label', 'unfinityplus'),
                        'param_name' => 'ct_time_label',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Time', 'unfinityplus'),
                        'param_name' => 'ct_time',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Room', 'unfinityplus'),
                        'param_name' => 'ct_room',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Speakers Label', 'unfinityplus'),
                        'param_name' => 'ct_speakers_label',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Speakers', 'unfinityplus'),
                        'param_name' => 'ct_speakers',
                        'group' => esc_html__('Source Settings', 'unfinityplus'),
                    ),
                ),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 1', 'unfinityplus'),
                'param_name' => 'time1',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 2', 'unfinityplus'),
                'param_name' => 'time2',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 3', 'unfinityplus'),
                'param_name' => 'time3',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 4', 'unfinityplus'),
                'param_name' => 'time4',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 5', 'unfinityplus'),
                'param_name' => 'time5',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'textfield',
                'heading' =>esc_html__('Time 6', 'unfinityplus'),
                'param_name' => 'time6',
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'group' => esc_html__('Source Settings', 'unfinityplus'),
            ),
            array(
                'type' => 'param_group',
                'heading' => esc_html__( 'Content Row', 'unfinityplus' ),
                'param_name' => 'content_list_l1',
                'value' => '',
                'group' => esc_html__('Source Settings', 'unfinityplus'),
                'dependency' => array(
                    'element'=>'cms_template',
                    'value'=>array(
                        'cms_schedule--layout1.php',
                    )
                ),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 1', 'unfinityplus'),
                        'param_name' => 'col1',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 2', 'unfinityplus'),
                        'param_name' => 'col2',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 3', 'unfinityplus'),
                        'param_name' => 'col3',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 4', 'unfinityplus'),
                        'param_name' => 'col4',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 5', 'unfinityplus'),
                        'param_name' => 'col5',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 6', 'unfinityplus'),
                        'param_name' => 'col6',
                        'admin_label' => true,
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' =>esc_html__('Column 7', 'unfinityplus'),
                        'param_name' => 'col7',
                        'admin_label' => true,
                    ),
                ),
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Extra class name', 'unfinityplus' ),
                'param_name' => 'el_class',
                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'unfinityplus' ),
                'group'            => esc_html__('Grid Settings', 'unfinityplus')
            ),
        )
    )
);

class WPBakeryShortCode_cms_schedule extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        $html_id = cmsHtmlID('cms-schedule-grid');
        $atts['html_id'] = $html_id;
        return parent::content($atts, $content);
    }
}

?>